org.springframework.web.servlet.view.velocity

## Interface VelocityConfig

- All Known Implementing Classes:
    VelocityConfigurer

      public interface VelocityConfig

  Interface to be implemented by objects that configure and manage a VelocityEngine for automatic lookup in a web environment. Detected and used by VelocityView.
  Author:
    Rod Johnson
  See Also:
    `VelocityConfigurer`, `VelocityView`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.velocity.app.VelocityEngine` | `getVelocityEngine()` Return the VelocityEngine for the current web application context.

- - ### Method Detail

    - #### getVelocityEngine

          org.apache.velocity.app.VelocityEngine getVelocityEngine()

      Return the VelocityEngine for the current web application context. May be unique to one servlet, or shared in the root context.
      Returns:
        the VelocityEngine